忘记密码   免费注册 查看新帖 | 论坛精华区

ChinaUnix.net

  平台 论坛 博客 认证专区 大话IT 视频 徽章 文库 沙龙 自测 下载 频道自动化运维 虚拟化 储存备份 C/C++ PHP MySQL 嵌入式 Linux系统
最近访问板块 发新帖
楼主: cryboy2001

[OpenStack] 图解openstack [复制链接]

论坛徽章:
26
CU十二周年纪念徽章
日期:2013-10-24 15:41:342014年中国系统架构师大会
日期:2014-10-14 15:59:00技术图书徽章
日期:2014-07-11 16:27:52双子座
日期:2014-09-26 11:00:04巨蟹座
日期:2014-10-27 08:21:10申猴
日期:2014-12-08 10:16:282015年辞旧岁徽章
日期:2015-03-03 16:54:15NBA常规赛纪念章
日期:2015-05-04 22:32:03IT运维版块每日发帖之星
日期:2016-01-29 06:20:00IT运维版块每日发帖之星
日期:2016-04-22 06:20:00辰龙
日期:2014-09-04 13:40:43白羊座
日期:2014-09-09 12:51:55
发表于 2014-09-22 16:08 |显示全部楼层
热迁移实例


nova live-migration --block_migrate test7 node1.test.com
出错
  File "/usr/lib/python2.6/site-packages/nova/virt/libvirt/driver.py", line 4347, in _compare_cpu
    raise exception.InvalidCPUInfo(reason=m % {'ret': ret, 'u': u})

InvalidCPUInfo: Unacceptable CPU info: CPU doesn't have compatibility.

cpu不支持,一台是服务器的cpu,一台是普通电脑,cpu不兼容

换一台一样的cpu电脑

实例test1 从node3.test.com热迁移到note2.test.com
#nova live-migration --block_migrate testcentos7 node2.test.com
image001.jpg
image002.jpg

块热迁移过程中服务会暂停,实例不能用,暂停了几分钟(与实例的大小网速有关)
好了,node3中就没实例了
image003.jpg
同一实例出现在node2中了
image004.jpg
迁移好了之后,ping可正常使用
image005.jpg

用web下操作也一样
   image006.jpg

image007.jpg

image008.jpg

image009.jpg

image011.jpg
image012.jpg
image013.jpg


以上是各实例在不同的nova-compute中,如果在同一存储中,如nfs会很快的,几秒钟搞定,试试看:
image010.jpg

论坛徽章:
26
CU十二周年纪念徽章
日期:2013-10-24 15:41:342014年中国系统架构师大会
日期:2014-10-14 15:59:00技术图书徽章
日期:2014-07-11 16:27:52双子座
日期:2014-09-26 11:00:04巨蟹座
日期:2014-10-27 08:21:10申猴
日期:2014-12-08 10:16:282015年辞旧岁徽章
日期:2015-03-03 16:54:15NBA常规赛纪念章
日期:2015-05-04 22:32:03IT运维版块每日发帖之星
日期:2016-01-29 06:20:00IT运维版块每日发帖之星
日期:2016-04-22 06:20:00辰龙
日期:2014-09-04 13:40:43白羊座
日期:2014-09-09 12:51:55
发表于 2014-09-22 16:13 |显示全部楼层
共享存储热迁移

如果在同一存储中,如nfs会很快的,几秒钟搞定,试试看:

设好nfs共享存储(上一节)

操作开始,把实例test1从node2热迁移到node1中
#nova live-migration  test1 node1.test.com

image014.jpg

从另外的电脑一直ping热迁移,中间没有出现不能ping的情况

image015.jpg

还可看到中间有paused的过程

image016.jpg

已转移到了node1服务器上了

image017.jpg

基本上是秒级的迁移了,在用户不知不觉中完成了。


论坛徽章:
26
CU十二周年纪念徽章
日期:2013-10-24 15:41:342014年中国系统架构师大会
日期:2014-10-14 15:59:00技术图书徽章
日期:2014-07-11 16:27:52双子座
日期:2014-09-26 11:00:04巨蟹座
日期:2014-10-27 08:21:10申猴
日期:2014-12-08 10:16:282015年辞旧岁徽章
日期:2015-03-03 16:54:15NBA常规赛纪念章
日期:2015-05-04 22:32:03IT运维版块每日发帖之星
日期:2016-01-29 06:20:00IT运维版块每日发帖之星
日期:2016-04-22 06:20:00辰龙
日期:2014-09-04 13:40:43白羊座
日期:2014-09-09 12:51:55
发表于 2014-09-30 13:40 |显示全部楼层
实用openstack上模拟cdn实例

1、建一项目与用户cdn
1.jpg

2.jpg

2、加规则
3.jpg

3、加网络与路由
image001.png

image003.jpg

详细请看:
centos 7 下的squid与openstack下的cdn实例
http://bbs.chinaunix.net/forum.p ... mp;fromuid=17187462

论坛徽章:
0
发表于 2014-10-02 04:20 |显示全部楼层
谢谢分享,如果能整理成pdf文档下载就好了

论坛徽章:
0
发表于 2014-10-06 15:46 |显示全部楼层
顶一下,不错

论坛徽章:
0
发表于 2014-10-18 22:14 |显示全部楼层

论坛徽章:
0
发表于 2014-10-21 17:12 |显示全部楼层
本帖最后由 ibelieve99 于 2014-10-21 17:17 编辑

按楼主所述,安装了一天,遇到诸多问题,都一一解决,现在卡在这个地方:

安装yum -y install openstack-keystone 时,报错,说python版本为2.6 但需要的是2.4,非常崩溃,
网上这位仁兄跟我应该遇到同样的问题:http://bbs.csdn.net/topics/390907018?page=1#post-398380156

安装时的输出信息:
Installing Dependencies                              [ DONE ]
Copying Puppet modules and manifests                 [ DONE ]
Applying 119.254.230.XXX_prescript.pp
119.254.230.XXX_prescript.pp:                        [ DONE ]           
Applying 119.254.230.XXX_amqp.pp
Applying 119.254.230.XXX_mariadb.pp
119.254.230.XXX_amqp.pp:                             [ DONE ]         
119.254.230.XXX_mariadb.pp:                          [ DONE ]         
Applying 119.254.230.XXX_keystone.pp
Applying 119.254.230.XXX_glance.pp
Applying 119.254.230.XXX_cinder.pp
119.254.230.XXX_keystone.pp:                      [ ERROR ]            
Applying Puppet manifests                         [ ERROR ]

ERROR : Error appeared during Puppet run: 119.254.230.XXX_keystone.pp
Error: Execution of '/usr/bin/yum -d 0 -e 0 -y install openstack-keystone' returned 1: Error: Package: python-keystone-2014.1.2.1-1.el6.noarch (openstack-icehouse)
You will find full trace in log /var/tmp/packstack/20141022-001509-a6WWfD/manifests/119.254.230.XXX_keystone.pp.log
Please check log file /var/tmp/packstack/20141022-001509-a6WWfD/openstack-setup.log for more information
[root@openstack ~]#
[root@openstack ~]#


单独执行“'/usr/bin/yum -d 0 -e 0 -y install openstack-keystone”命令的输出:

............
--> Processing Dependency: python-keyring for package: 1:python-keystoneclient-0.9.0-1.el6.noarch
--> Processing Dependency: python-argparse for package: 1:python-keystoneclient-0.9.0-1.el6.noarch
---> Package python-kombu.noarch 0:2.5.16-3.el6 will be installed
--> Processing Dependency: python-amqp for package: python-kombu-2.5.16-3.el6.noarch
---> Package python-oslo-config.noarch 1:1.2.1-1.el6 will be installed
--> Processing Dependency: python-argparse for package: 1:python-oslo-config-1.2.1-1.el6.noarch
---> Package python-oslo-messaging.noarch 0:1.3.0.2-4.el6 will be installed
--> Processing Dependency: python-stevedore for package: python-oslo-messaging-1.3.0.2-4.el6.noarch
--> Processing Dependency: python-iso8601 for package: python-oslo-messaging-1.3.0.2-4.el6.noarch
---> Package python-pycadf.noarch 0:0.5.1-1.el6 will be installed
--> Processing Dependency: python-iso8601 for package: python-pycadf-0.5.1-1.el6.noarch
---> Package python-routes.noarch 0:1.13-2.el6 will be installed
--> Processing Dependency: python-repoze-lru for package: python-routes-1.13-2.el6.noarch
---> Package python-tz.noarch 0:2006p-1.el5.rf will be installed
--> Processing Dependency: python(abi) = 2.4 for package: python-tz-2006p-1.el5.rf.noarch
---> Package python-yaml.x86_64 0:3.09-3.el5.rf will be installed
--> Processing Dependency: python(abi) = 2.4 for package: python-yaml-3.09-3.el5.rf.x86_64
---> Package saslwrapper.x86_64 0:0.18-1.el6_3 will be installed


--> Finished Dependency Resolution
Error: Package: python-keystone-2014.1.2.1-1.el6.noarch (openstack-icehouse)
           Requires: python-iso8601
Error: Package: python-tz-2006p-1.el5.rf.noarch (rpmforge)
           Requires: python(abi) = 2.4
           Installed: python-2.6.6-52.el6.x86_64 (@updates)
               python(abi) = 2.6
           Available: python-2.6.6-51.el6.x86_64 (base)
               python(abi) = 2.6

Error: Package: python-keystone-2014.1.2.1-1.el6.noarch (openstack-icehouse)
           Requires: python-dogpile-cache >= 0.5.0
Error: Package: python-yaml-3.09-3.el5.rf.x86_64 (rpmforge)
           Requires: python(abi) = 2.4
           Installed: python-2.6.6-52.el6.x86_64 (@updates)
               python(abi) = 2.6
           Available: python-2.6.6-51.el6.x86_64 (base)
               python(abi) = 2.6
Error: Package: python-oslo-messaging-1.3.0.2-4.el6.noarch (openstack-icehouse)
           Requires: python-stevedore
Error: Package: python-oslo-messaging-1.3.0.2-4.el6.noarch (openstack-icehouse)
           Requires: python-iso8601
Error: Package: python-keystone-2014.1.2.1-1.el6.noarch (openstack-icehouse)
           Requires: python-passlib
Error: Package: 1:python-keystoneclient-0.9.0-1.el6.noarch (openstack-icehouse)
           Requires: python-keyring
Error: Package: python-anyjson-0.3.1-2.el5.rf.noarch (rpmforge)
           Requires: python(abi) = 2.4
           Installed: python-2.6.6-52.el6.x86_64 (@updates)
               python(abi) = 2.6
           Available: python-2.6.6-51.el6.x86_64 (base)
               python(abi) = 2.6
Error: Package: python-kombu-2.5.16-3.el6.noarch (openstack-icehouse)
           Requires: python-amqp
Error: Package: python-importlib-1.0.2-1.el5.rf.noarch (rpmforge)
           Requires: python(abi) = 2.4
           Installed: python-2.6.6-52.el6.x86_64 (@updates)
               python(abi) = 2.6
           Available: python-2.6.6-51.el6.x86_64 (base)
               python(abi) = 2.6
Error: Package: 1:python-keystoneclient-0.9.0-1.el6.noarch (openstack-icehouse)
           Requires: python-requests >= 0.8.8
Error: Package: python-pycadf-0.5.1-1.el6.noarch (openstack-icehouse)
           Requires: python-iso8601
Error: Package: 1:python-keystoneclient-0.9.0-1.el6.noarch (openstack-icehouse)
           Requires: python-iso8601 >= 0.1.4
Error: Package: 1:python-oslo-config-1.2.1-1.el6.noarch (openstack-icehouse)
           Requires: python-argparse
Error: Package: 1:python-keystoneclient-0.9.0-1.el6.noarch (openstack-icehouse)
           Requires: python-argparse
Error: Package: python-routes-1.13-2.el6.noarch (openstack-icehouse)
           Requires: python-repoze-lru
Error: Package: python-babel-0.9.5-1.el5.rf.noarch (rpmforge)
           Requires: python(abi) = 2.4
           Installed: python-2.6.6-52.el6.x86_64 (@updates)
               python(abi) = 2.6
           Available: python-2.6.6-51.el6.x86_64 (base)
               python(abi) = 2.6
You could try using --skip-broken to work around the problem


You could try running: rpm -Va --nofiles --nodigest
[root@openstack ~]#
[root@openstack ~]#

论坛徽章:
12
戌狗
日期:2014-09-12 23:41:352015亚冠之武里南联
日期:2015-07-07 17:37:372015亚冠之萨济拖拉机
日期:2015-07-06 17:07:482015亚冠之全北现代
日期:2015-06-04 13:54:272015亚冠之城南
日期:2015-05-21 15:43:212015年亚洲杯之伊朗
日期:2015-04-25 18:20:362015年亚洲杯之伊朗
日期:2015-04-20 16:06:052015年亚洲杯之科威特
日期:2015-03-07 12:51:26丑牛
日期:2014-12-30 10:26:38金牛座
日期:2014-09-13 21:12:22申猴
日期:2014-09-28 22:40:1815-16赛季CBA联赛之广夏
日期:2016-08-13 21:24:35
发表于 2014-10-23 01:12 |显示全部楼层
支持楼主好帖子,,。。。。。。明天安装测试下。。

可以安装在虚拟机上吧。

论坛徽章:
0
发表于 2015-02-06 16:01 |显示全部楼层
楼主好强大,拉几个土豪买几百台,免费租几个虚机给我们做实验吧

论坛徽章:
19
酉鸡
日期:2015-02-16 11:13:06操作系统版块每周发帖之星
日期:2015-12-02 15:01:04每日论坛发贴之星
日期:2015-11-28 06:20:00IT运维版块每日发帖之星
日期:2015-11-28 06:20:00每日论坛发贴之星
日期:2015-11-27 06:20:00IT运维版块每日发帖之星
日期:2015-11-27 06:20:00IT运维版块每日发帖之星
日期:2015-11-20 06:20:00每日论坛发贴之星
日期:2015-11-19 06:20:00IT运维版块每日发帖之星
日期:2015-11-19 06:20:00每日论坛发贴之星
日期:2015-11-15 06:20:00数据库技术版块每日发帖之星
日期:2015-11-15 06:20:00程序设计版块每日发帖之星
日期:2015-11-15 06:20:00
发表于 2015-02-27 14:35 |显示全部楼层
这个要顶,学习了
您需要登录后才可以回帖 登录 | 注册

本版积分规则

SACC2017购票7.8折优惠进行时

2017中国系统架构师大会(SACC2017)将于10月19-21日在北京新云南皇冠假日酒店震撼来袭。今年,大会以“云智未来”为主题,云集国内外顶级专家,围绕云计算、人工智能、大数据、移动互联网、产业应用等热点领域展开技术探讨与交流。本届大会共设置2大主会场,18个技术专场;邀请来自互联网、金融、制造业、电商等多个领域,100余位技术专家及行业领袖来分享他们的经验;并将吸引4000+人次的系统运维、架构师及IT决策人士参会,为他们提供最具价值的交流平台。
----------------------------------------
优惠时间:2017年8月2日前

活动链接>>
  

北京皓辰网域网络信息技术有限公司. 版权所有 京ICP证:060528号 北京市公安局海淀分局网监中心备案编号:1101082001
广播电视节目制作经营许可证(京) 字第1234号 中国互联网协会会员  联系我们:
感谢所有关心和支持过ChinaUnix的朋友们 转载本站内容请注明原作者名及出处

清除 Cookies - ChinaUnix - Archiver - WAP - TOP